Package org.apache.aries.jax.rs.whiteboard.internal

## Class Registry<T>

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.Registry<T>

All Implemented Interfaces:
  `AutoCloseable`

    public class Registry<T>
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
`Registry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`org.apache.aries.component.dsl.OSGi<T>` `registerService​(T service, Map<String,​?> properties)`
`org.apache.aries.component.dsl.OSGi<T>` `waitForService​(String filterString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Registry

    public Registry()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### waitForService

    public org.apache.aries.component.dsl.OSGi<T> waitForService​(String filterString)

#### registerService

    public org.apache.aries.component.dsl.OSGi<T> registerService​(T service,
                                                                  Map<String,​?> properties)